zoo

## Class Chien

- java.lang.Object
- - zoo.Chien

-     public class Chien
      extends java.lang.Object

  Chien, affiche des information sur un chien son maitre en particulier. Etend Animal

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chien(java.lang.String nom, int poids, java.lang.String maitre)` Constructeur pour les 3 attributs d'un chien

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Surcharge de equals
    `java.lang.String` | `getMaitre()` Getter de Maitre
    `java.lang.String` | `getNom()` Getter de Nom
    `int` | `getPoids()` Getter de Poids
    `int` | `hashCode()` Surcharge de hashCode
    `java.lang.String` | `manger()` Implémentation de manger
    `void` | `setMaitre(java.lang.String maitre)` Setter de Maitre
    `void` | `setNom(java.lang.String nom)` Setter de nom
    `void` | `setPoids(int poids)` Setter de Poids
    `java.lang.String` | `toString()` Surcharge de toString

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Chien

          public Chien(java.lang.String nom,
                       int poids,
                       java.lang.String maitre)

      Constructeur pour les 3 attributs d'un chien
      Parameters:
        `poids` - poids du chien
        `nom` - du chien
        `maitre` - du chien

  - ### Method Detail

    - #### getMaitre

          public java.lang.String getMaitre()

      Getter de Maitre
      Returns:
        maitre

    - #### setMaitre

          public void setMaitre(java.lang.String maitre)

      Setter de Maitre
      Parameters:
        `maitre` - maitre

    - #### toString

          public java.lang.String toString()

      Surcharge de toString
      Returns:
        Chien(maitre=..., poids=..., nom=...)

    - #### equals

          public boolean equals(java.lang.Object o)

      Surcharge de equals
      Parameters:
        `o` - objet de type Chien
      Returns:
        true/false suivant si les objets sont égaux

    - #### hashCode

          public int hashCode()

      Surcharge de hashCode
      Returns:
        Chaîne unique de Chien

    - #### manger

          public java.lang.String manger()

      Implémentation de manger
      Returns:
        Le chat mange du Ronron

    - #### getPoids

          public int getPoids()

      Getter de Poids
      Returns:
        poids de l'animal

    - #### setPoids

          public void setPoids(int poids)

      Setter de Poids
      Parameters:
        `poids` - de l'animal

    - #### getNom

          public java.lang.String getNom()

      Getter de Nom
      Returns:
        nom de l'animal

    - #### setNom

          public void setNom(java.lang.String nom)

      Setter de nom
      Parameters:
        `nom` - de l'animal